Last Comment Bug 732363 - Intermittent (on Firefox) or Permanent (on Thunderbird Windows): TEST-UNEXPECTED-FAIL | test_net_addr.js | test failed (with xpcshell return code: 0), see following log from (NS_ERROR_NOT_CONNECTED) [nsISocketTransport.getScriptableSelfAddr]
: Intermittent (on Firefox) or Permanent (on Thunderbird Windows): TEST-UNEXPEC...
Status: REOPENED
[test disabled on Windows on mozilla1...
: intermittent-failure, regression
Product: Core
Classification: Components
Component: Networking (show other bugs)
: Trunk
: All All
: -- normal (vote)
: mozilla14
Assigned To: Derrick Rice (:drice)
:
Mentors:
http://mxr.mozilla.org/mozilla-centra...
Depends on:
Blocks: 438871 720846
  Show dependency treegraph
 
Reported: 2012-03-02 03:11 PST by Mark Banner (:standard8)
Modified: 2016-04-24 18:02 PDT (History)
8 users (show)
bugzillamozillaorg_serge_20140323: in‑testsuite+
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
verified


Attachments
test fix 01 (1.60 KB, patch)
2012-03-05 11:06 PST, Derrick Rice (:drice)
josh: review-
Details | Diff | Splinter Review
test fix 02 [Checked in: Comment 15] (3.02 KB, patch)
2012-03-06 05:02 PST, Derrick Rice (:drice)
josh: review+
Details | Diff | Splinter Review
skip windows [Checked in: Comment 25 & 30] (843 bytes, patch)
2012-03-15 07:10 PDT, Derrick Rice (:drice)
josh: review+
akeybl: approval‑mozilla‑aurora+
Details | Diff | Splinter Review

Description Mark Banner (:standard8) 2012-03-02 03:11:27 PST
Since bug 720846 landed, we've been seeing this failure on our Windows virtual machines, which are the Thunderbird builders:

http://tinderbox.mozilla.org/showlog.cgi?log=ThunderbirdTrunk/1330655617.1330658305.8294.gz#err0

TEST-INFO | e:\buildbot\comm-central-win32-opt-unittest-xpcshell\build\xpcshell\tests\netwerk\test\unit\test_net_addr.js | running test ...
TEST-UNEXPECTED-FAIL | e:\buildbot\comm-central-win32-opt-unittest-xpcshell\build\xpcshell\tests\netwerk\test\unit\test_net_addr.js | test failed (with xpcshell return code: 0), see following log:
>>>>>>>

TEST-INFO | (xpcshell/head.js) | test 1 pending

TEST-INFO | e:/buildbot/comm-central-win32-opt-unittest-xpcshell/build/xpcshell/tests/netwerk/test/unit/test_net_addr.js | server: listening on

TEST-INFO | (xpcshell/head.js) | test 2 pending

TEST-INFO | (xpcshell/head.js) | test 2 finished

TEST-INFO | (xpcshell/head.js) | running event loop

TEST-INFO | (xpcshell/head.js) | test 2 pending
TEST-INFO | e:/buildbot/comm-central-win32-opt-unittest-xpcshell/build/xpcshell/tests/netwerk/test/unit/test_net_addr.js | Starting testIpv4

TEST-INFO | (xpcshell/head.js) | test 2 finished

TEST-INFO | e:/buildbot/comm-central-win32-opt-unittest-xpcshell/build/xpcshell/tests/netwerk/test/unit/test_net_addr.js | server: got client connection

TEST-UNEXPECTED-FAIL | e:/buildbot/comm-central-win32-opt-unittest-xpcshell/build/xpcshell/tests/netwerk/test/unit/test_net_addr.js | in TestServer.onSocketAccepted - Unexpected exception [Exception... "Component returned failure code: 0x804b000c (NS_ERROR_NOT_CONNECTED) [nsISocketTransport.getScriptableSelfAddr]"  nsresult: "0x804b000c (NS_ERROR_NOT_CONNECTED)"  location: "JS frame :: e:/buildbot/comm-central-win32-opt-unittest-xpcshell/build/xpcshell/tests/netwerk/test/unit/test_net_addr.js :: <TOP_LEVEL> :: line 134"  data: no], see following stack:
undefined



I'm not quite sure what is going on here, I don't see why it would have got that far and then not be connected...
Comment 1 Derrick Rice (:drice) 2012-03-02 07:48:14 PST
This isn't a problem with getScriptableSelfAddr.  The error is coming from the non-scriptable getSelfAddr which it uses.  I may have made some incorrect assumptions in my test case, but it seems to me that if the socket was accepted, and the output and input streams are open, we should not be seeing errors about not being connected.  There's a chance that it disconnects (race condition) but if that were the case, this error would be sporadic.

This error is consistent, right?
Comment 2 Treeherder Robot 2012-03-03 19:24:53 PST
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=9803293&tree=Firefox
Rev3 WINNT 6.1 mozilla-central opt test xpcshell on 2012-03-03 17:46:48

TEST-UNEXPECTED-FAIL | c:\talos-slave\test\build\xpcshell\tests\netwerk\test\unit\test_net_addr.js | test failed (with xpcshell return code: 0), see following log:
TEST-UNEXPECTED-FAIL | c:/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_net_addr.js | in TestServer.onSocketAccepted - Unexpected exception [Exception... "Component returned failure code: 0x804b000c (NS_ERROR_NOT_CONNECTED) [nsISocketTransport.getScriptableSelfAddr]"  nsresult: "0x804b000c (NS_ERROR_NOT_CONNECTED)"  location: "JS frame :: c:/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_net_addr.js :: <TOP_LEVEL> :: line 134"  data: no], see following stack:
Comment 3 Phil Ringnalda (:philor) 2012-03-03 19:28:33 PST
Does seem to be permanent on Tb Windows, but then based on my memory from when Firefox ran tests on Win2K3 VMs, they are permanently brutally slow, and prone to losing any race condition you offer them.

Sort of surprising that the first Firefox failure would be a Win7 opt, though, typically WinXP debug is the closest match for the slowness of a 2K3 VM.
Comment 4 Patrick McManus [:mcmanus] 2012-03-05 05:47:00 PST
so we should backout 720846, right?
Comment 5 Derrick Rice (:drice) 2012-03-05 07:46:47 PST
Sorry, I haven't been ignoring this; I've just been busy with other things.  The test is failing, but I don't have any reason to believe that the code change is problematic.  I'll provide a patch to back out the test and try to come back and create one that does not cause these failures.

jdm / biesi: Is there anything wrong with removing the test for the time being?  Does this violate some "feature changes must have working tests" rule?
Comment 6 Christian :Biesinger (don't email me, ping me on IRC) 2012-03-05 09:37:11 PST
Can you instead disable the test just on Windows? Seems like that would fix this problem while still keeping some test coverage.
Comment 7 Derrick Rice (:drice) 2012-03-05 10:31:33 PST
I think I figured out what's going on.  I may propose a patch instead of removing it, but I'd like someone to chime in with "yeah, that sounds plausible" or something else to confirm my hypothesis is reasonable.

My assumption is that the result of transport.openOutputStream is being cleaned up because I am not keeping a reference to it.  When that happens, the client side closes the connection.

My patch would be to hold onto the output stream in a var alongside |transport|.
Comment 8 Josh Matthews [:jdm] 2012-03-05 10:42:11 PST
That sounds incredibly likely. nsSocketTransport2::OpenOutputStream looks like it confirms this hypothesis, since in the blocking case it creates a pipe and doesn't store it anywhere but in the return value.
Comment 9 Derrick Rice (:drice) 2012-03-05 11:06:56 PST
Created attachment 602969 [details] [diff] [review]
test fix 01

Patch attached.  Verified that it still passes for me (though it always did) and I'll watch http://build.mozillamessaging.com/tinderboxpushlog/?tree=ThunderbirdTrunk for success.

jdm for review/checkin.
Comment 10 Josh Matthews [:jdm] 2012-03-05 12:11:40 PST
Comment on attachment 602969 [details] [diff] [review]
test fix 01

Review of attachment 602969 [details] [diff] [review]:
-----------------------------------------------------------------

This will have the same problem. The last reference to the stream disappears when the function returns; we need to store a reference to the stream outside of the function.

You can also leave off the checkin? flag in future; I'll ensure your patches are checked in.
Comment 11 Derrick Rice (:drice) 2012-03-05 14:34:49 PST
The inner function (set as |acceptCallback|) holds a reference to it.  As long as that function is reachable, so is |output|.  That function is only unreachable when |TestServer.reset| clears out the |acceptCallback|, and we no longer need the stream or socket.
Comment 12 Josh Matthews [:jdm] 2012-03-05 18:54:44 PST
I'm pretty confident that that's an implementation detail that could be defeated by optimizations in Spidermonkey. Let's just take the safe route and avoid any chance of oranges.
Comment 13 Derrick Rice (:drice) 2012-03-06 05:02:09 PST
Created attachment 603236 [details] [diff] [review]
test fix 02
[Checked in: Comment 15]

As requested.  Passes locally (as always) and stores objects of importance in a global, which should alleviate the optimization concern.
Comment 14 Josh Matthews [:jdm] 2012-03-06 07:48:11 PST
http://hg.mozilla.org/integration/mozilla-inbound/rev/c39fd8e1fb45

Thanks!
Comment 15 Marco Bonardo [::mak] 2012-03-07 02:23:52 PST
https://hg.mozilla.org/mozilla-central/rev/c39fd8e1fb45
Comment 16 Serge Gautherie (:sgautherie) 2012-03-08 17:01:30 PST
SeaMonkey Windows builds were unbroken and 1st run had this bug :-/

http://tinderbox.mozilla.org/showlog.cgi?log=SeaMonkey/1331235913.1331241194.13591.gz
WINNT 5.2 comm-central-trunk debug test xpcshell on 2012/03/08 11:45:13
s: cb-seamonkey-win32-03
{
WARNING: CheckLinkStatus called on main thread! No check performed. Assuming link is up, status is unknown.: file e:/builds/slave/comm-cen-trunk-w32-dbg/build/mozilla/netwerk/system/win32/nsNotifyAddrListener.cpp, line 414

TEST-INFO | e:/builds/slave/test/build/xpcshell/tests/netwerk/test/unit/test_net_addr.js | server: listening on

TEST-INFO | e:/builds/slave/test/build/xpcshell/tests/netwerk/test/unit/test_net_addr.js | Starting testIpv4

TEST-INFO | e:/builds/slave/test/build/xpcshell/tests/netwerk/test/unit/test_net_addr.js | server: got client connection

TEST-UNEXPECTED-FAIL | e:\builds\slave\test\build\xpcshell\tests\netwerk\test\unit\test_net_addr.js | test failed (with xpcshell return code: 0), see following log:

TEST-UNEXPECTED-FAIL | e:/builds/slave/test/build/xpcshell/tests/netwerk/test/unit/test_net_addr.js | in TestServer.onSocketAccepted - Unexpected exception [Exception... "Component returned failure code: 0x804b000c (NS_ERROR_NOT_CONNECTED) [nsISocketTransport.getScriptableSelfAddr]"  nsresult: "0x804b000c (NS_ERROR_NOT_CONNECTED)"  location: "JS frame :: e:/builds/slave/test/build/xpcshell/tests/netwerk/test/unit/test_net_addr.js :: <TOP_LEVEL> :: line 145"  data: no], see following stack:
undefined
}
Comment 17 Treeherder Robot 2012-03-10 14:01:08 PST
ryanvm%gmail.com
https://tbpl.mozilla.org/php/getParsedLog.php?id=9974277&tree=Firefox
Rev3 WINNT 6.1 mozilla-central pgo test xpcshell on 2012-03-10 09:22:08

TEST-UNEXPECTED-FAIL | C:\talos-slave\test\build\xpcshell\tests\netwerk\test\unit\test_net_addr.js | test failed (with xpcshell return code: 0), see following log:
TEST-UNEXPECTED-FAIL | C:/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_net_addr.js | in TestServer.onSocketAccepted - Unexpected exception [Exception... "Component returned failure code: 0x804b000c (NS_ERROR_NOT_CONNECTED) [nsISocketTransport.getScriptableSelfAddr]"  nsresult: "0x804b000c (NS_ERROR_NOT_CONNECTED)"  location: "JS frame :: C:/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_net_addr.js :: <TOP_LEVEL> :: line 145"  data: no], see following stack:
Comment 18 Serge Gautherie (:sgautherie) 2012-03-13 20:20:38 PDT
http://tinderbox.mozilla.org/showlog.cgi?log=ThunderbirdTry/1331689984.1331693837.25294.gz
WINNT 5.2 try-comm-central opt test xpcshell on 2012/03/13 18:53:04

Still happening: not (fully) fixed.
Comment 19 Derrick Rice (:drice) 2012-03-14 14:07:33 PDT
I need this test run on a build system which is currently failing, but for a debug build (or FORCE_PR_LOG) with NSPR_LOG_MODULES=nsSocketTransport:5 and then see the PR_LOG output.  Ideally run solo, rather than with all tests.

Maybe I can get a windows thunderbird tryserver on loan?

I have not been able to reproduce this by introducing sleeps.  So I'm a bit stumped if someone cannot help me with the above.
Comment 20 Derrick Rice (:drice) 2012-03-15 07:10:32 PDT
Created attachment 606194 [details] [diff] [review]
skip windows
[Checked in: Comment 25 & 30]

This is outside my expertise and ability to debug, specifically because of the Mozilla build infrastructure.  biesi says we can always skip windows to avoid oranges, which this patch does.

I can't commit much more time to this issue, especially because I do not see the value.  No one's been able to point out a flaw in the test, yet it fails anyway.  The failure is unrelated to the changes it is trying to test, so it would be wasteful to throw away the change with the test.  With this skip, we can at least see the advantage of the original change (nsNetAddr).
Comment 21 Josh Matthews [:jdm] 2012-03-15 07:29:41 PDT
Comment on attachment 606194 [details] [diff] [review]
skip windows
[Checked in: Comment 25 & 30]

Review of attachment 606194 [details] [diff] [review]:
-----------------------------------------------------------------

Agreed on all counts. Thanks for the work you've sunk into this!
Comment 23 Serge Gautherie (:sgautherie) 2012-03-15 10:50:05 PDT
While here, some nits:

32   do_print('server: listening on', this.port);
shoule be
32   do_print("server: listening on port " + this.port);

139   }
shoule be
139   };

178   testDataStore.output = testDataStore.transport.openOutputStream(Ci.nsITransport.OPEN_BLOCKING,0,0);
shoule be
178   testDataStore.output = testDataStore.transport.openOutputStream(Ci.nsITransport.OPEN_BLOCKING, 0, 0);

163     do_execute_soon(run_next_test);
run_next_test() already does do_execute_soon(_run_next_test).
Does it need to be doubled? (If so, a comment might be welcome.)

***

49       this.selfAddr = trans.getScriptableSelfAddr();
50       this.peerAddr = trans.getScriptablePeerAddr();
succeed,
then
52       this.acceptCallback();
...
141   serv.acceptCallback = function() {
142     // disable the timeoutCallback
143     serv.timeoutCallback = function(){};
144 
145     var selfAddr = testDataStore.transport.getScriptableSelfAddr();
fails.
(which is odd, as all these are supposed to happen synchronously.)

(Trying to guess, facts and code...)

Fwiw, should you pass 'trans' and add something like
do_check_true(trans.isAlive());
do_check_eq(trans.getScriptableSelfAddr(), serv.selfAddr);
do_check_true(testDataStore.transport.isAlive());
do_check_eq(trans, testDataStore.transport);
? (At least as a debug try.)

Should you do_print() in
63   onStopListening: function(socket) {} ,
fwiw?
Comment 24 Serge Gautherie (:sgautherie) 2012-03-15 11:17:15 PDT
(In reply to Serge Gautherie (:sgautherie) from comment #23)
> Fwiw, should you pass 'trans' and add something like
> do_check_true(trans.isAlive());
> do_check_eq(trans.getScriptableSelfAddr(), serv.selfAddr);
> do_check_true(testDataStore.transport.isAlive());
> do_check_eq(trans, testDataStore.transport);
> ? (At least as a debug try.)

And probably add "same" checks in onSocketAccepted(), so we have even more details.

***

Afaict this is still Windows (near-)perma-orange on both Dbg SeaMonkey and Opt Thunderbird.
I can understand/support disabling the test (after we run out of (debug) idea).

Yet, the issue should be easily reproducible on TB Try and I don't think we should give up (as in closing bug) on finding out what is happening as this result seems very unexpected.
Comment 25 Marco Bonardo [::mak] 2012-03-16 05:58:52 PDT
https://hg.mozilla.org/mozilla-central/rev/6801ef0d83b8
Comment 26 Serge Gautherie (:sgautherie) 2012-03-16 13:10:57 PDT
http://tinderbox.mozilla.org/showlog.cgi?log=ThunderbirdTrunk/1331908000.1331910589.8032.gz
WINNT 5.2 comm-central test xpcshell on 2012/03/16 07:26:40
+
http://tinderbox.mozilla.org/showlog.cgi?log=SeaMonkey/1331918260.1331923715.3372.gz
WINNT 5.2 comm-central-trunk debug test xpcshell on 2012/03/16 10:17:40

V.Fixed wrt to this disabling patch (only).
Comment 27 Serge Gautherie (:sgautherie) 2012-03-16 13:15:47 PDT
Comment on attachment 606194 [details] [diff] [review]
skip windows
[Checked in: Comment 25 & 30]

[Approval Request Comment]
Regression caused by (bug #): Bug 720846.
User impact if declined: None, but perma-orange on SeaMonkey and Thunderbird.
Testing completed (on m-c, etc.): m-i, m-c.
Risk to taking this patch (and alternatives if risky): None, test-only.
String changes made by this patch: None.
Comment 28 Alex Keybl [:akeybl] 2012-03-20 13:16:03 PDT
Comment on attachment 606194 [details] [diff] [review]
skip windows
[Checked in: Comment 25 & 30]

[Triage Comment]
Bug 720846 was first in Firefox as of 13, so if disabling this test is the right path forward, we should do the same on Aurora.
Comment 29 Treeherder Robot 2012-04-04 09:56:42 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=10638044&tree=Mozilla-Aurora
Rev3 WINNT 5.1 mozilla-aurora debug test xpcshell on 2012-04-04 08:38:37

TEST-UNEXPECTED-FAIL | c:\talos-slave\test\build\xpcshell\tests\netwerk\test\unit\test_net_addr.js | test failed (with xpcshell return code: 0), see following log:
TEST-UNEXPECTED-FAIL | c:/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_net_addr.js | in TestServer.onSocketAccepted - Unexpected exception [Exception... "Component returned failure code: 0x804b000c (NS_ERROR_NOT_CONNECTED) [nsISocketTransport.getScriptableSelfAddr]"  nsresult: "0x804b000c (NS_ERROR_NOT_CONNECTED)"  location: "JS frame :: c:/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_net_addr.js :: <TOP_LEVEL> :: line 145"  data: no], see following stack:
Comment 30 Ryan VanderMeulen [:RyanVM] 2012-04-06 13:57:02 PDT
Landed on Aurora.
https://hg.mozilla.org/releases/mozilla-aurora/rev/8b1899e39fa7
Comment 31 Serge Gautherie (:sgautherie) 2012-04-08 06:35:40 PDT
http://tinderbox.mozilla.org/showlog.cgi?log=SeaMonkey-Aurora/1333835055.1333840344.14793.gz
WINNT 5.2 comm-aurora debug test xpcshell on 2012/04/07 14:44:15

firefox13: verified, wrt disabling the test.
Comment 32 Treeherder Robot 2013-01-14 13:11:43 PST
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=18790199&tree=Mozilla-Inbound
Rev3 Fedora 12x64 mozilla-inbound opt test xpcshell on 2013-01-14 12:29:10
slave: talos-r3-fed64-022

TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_net_addr.js | test failed (with xpcshell return code: 0), see following log:
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_net_addr.js | in TestServer.onSocketAccepted - Unexpected exception [Exception... "Component returned failure code: 0x804b000c (NS_ERROR_NOT_CONNECTED) [nsISocketTransport.getScriptableSelfAddr]"  nsresult: "0x804b000c (NS_ERROR_NOT_CONNECTED)"  location: "JS frame :: /home/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_net_addr.js :: serv.acceptCallback :: line 145"  data: no], see following stack:
Comment 33 Treeherder Robot 2013-02-27 01:46:09 PST
edmorley
https://tbpl.mozilla.org/php/getParsedLog.php?id=20133330&tree=Mozilla-Inbound
Ubuntu 12.04 mozilla-inbound debug test xpcshell on 2013-02-26 22:24:39
slave: tst-linux32-ec2-008

23:09:27  WARNING -  TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/xpcshell/tests/netwerk/test/unit/test_net_addr.js | test failed (with xpcshell return code: 0), see following log:
23:09:27  WARNING -  TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/xpcshell/tests/netwerk/test/unit/test_net_addr.js | in TestServer.onSocketAccepted - Unexpected exception [Exception... "Component returned failure code: 0x804b000c (NS_ERROR_NOT_CONNECTED) [nsISocketTransport.getScriptableSelfAddr]"  nsresult: "0x804b000c (NS_ERROR_NOT_CONNECTED)"  location: "JS frame :: /builds/slave/test/build/tests/xpcshell/tests/netwerk/test/unit/test_net_addr.js :: serv.acceptCallback :: line 145"  data: no], see following stack:
23:35:42    ERROR - Return code: 1
Comment 34 Treeherder Robot 2013-03-19 06:52:24 PDT
RyanVM
https://tbpl.mozilla.org/php/getParsedLog.php?id=20822329&tree=Mozilla-B2g18
Rev3 Fedora 12 mozilla-b2g18 pgo test xpcshell on 2013-03-19 05:22:31
slave: talos-r3-fed-101

TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_net_addr.js | test failed (with xpcshell return code: 0), see following log:
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_net_addr.js | in TestServer.onSocketAccepted - Unexpected exception [Exception... "Component returned failure code: 0x804b000c (NS_ERROR_NOT_CONNECTED) [nsISocketTransport.getScriptableSelfAddr]"  nsresult: "0x804b000c (NS_ERROR_NOT_CONNECTED)"  location: "JS frame :: /home/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_net_addr.js :: <TOP_LEVEL> :: line 145"  data: no], see following stack:
Comment 35 Treeherder Robot 2013-03-22 15:20:05 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=20978490&tree=Mozilla-Aurora
Ubuntu VM 12.04 x64 mozilla-aurora pgo test xpcshell on 2013-03-22 06:32:53
slave: tst-linux64-ec2-343

06:53:53  WARNING -  TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/xpcshell/tests/netwerk/test/unit/test_net_addr.js | test failed (with xpcshell return code: 0), see following log:
06:53:53  WARNING -  TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/xpcshell/tests/netwerk/test/unit/test_net_addr.js | in TestServer.onSocketAccepted - Unexpected exception [Exception... "Component returned failure code: 0x804b000c (NS_ERROR_NOT_CONNECTED) [nsISocketTransport.getScriptableSelfAddr]"  nsresult: "0x804b000c (NS_ERROR_NOT_CONNECTED)"  location: "JS frame :: /builds/slave/test/build/tests/xpcshell/tests/netwerk/test/unit/test_net_addr.js :: serv.acceptCallback :: line 145"  data: no], see following stack:
07:04:18    ERROR - Return code: 1
Comment 36 Treeherder Robot 2013-04-05 11:32:15 PDT
RyanVM
https://tbpl.mozilla.org/php/getParsedLog.php?id=21480174&tree=Mozilla-Inbound
Ubuntu VM 12.04 x64 mozilla-inbound opt test xpcshell on 2013-04-05 03:47:01
slave: tst-linux64-ec2-074

11:13:12  WARNING -  TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/xpcshell/tests/netwerk/test/unit/test_net_addr.js | test failed (with xpcshell return code: 0), see following log:
11:13:12  WARNING -  TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/xpcshell/tests/netwerk/test/unit/test_net_addr.js | in TestServer.onSocketAccepted - Unexpected exception [Exception... "Component returned failure code: 0x804b000c (NS_ERROR_NOT_CONNECTED) [nsISocketTransport.getScriptableSelfAddr]"  nsresult: "0x804b000c (NS_ERROR_NOT_CONNECTED)"  location: "JS frame :: /builds/slave/test/build/tests/xpcshell/tests/netwerk/test/unit/test_net_addr.js :: serv.acceptCallback :: line 145"  data: no], see following stack:
11:23:12    ERROR - Return code: 1
Comment 37 Treeherder Robot 2013-06-07 15:11:30 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=23919748&tree=Birch
Ubuntu VM 12.04 birch debug test xpcshell on 2013-06-07 14:01:14
slave: tst-linux32-ec2-071

14:42:30  WARNING -  TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/xpcshell/tests/netwerk/test/unit/test_net_addr.js | test failed (with xpcshell return code: 0), see following log:
14:42:30  WARNING -  TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/xpcshell/tests/netwerk/test/unit/test_net_addr.js | in TestServer.onSocketAccepted - Unexpected exception [Exception... "Component returned failure code: 0x804b000c (NS_ERROR_NOT_CONNECTED) [nsISocketTransport.getScriptableSelfAddr]"  nsresult: "0x804b000c (NS_ERROR_NOT_CONNECTED)"  location: "JS frame :: /builds/slave/test/build/tests/xpcshell/tests/netwerk/test/unit/test_net_addr.js :: serv.acceptCallback :: line 145"  data: no], see following stack:
15:00:22    ERROR - Return code: 1
Comment 38 Treeherder Robot 2013-06-08 07:00:01 PDT
RyanVM
https://tbpl.mozilla.org/php/getParsedLog.php?id=23935936&tree=Mozilla-Central
Ubuntu VM 12.04 mozilla-central debug test xpcshell on 2013-06-08 04:52:02
slave: tst-linux32-ec2-003

05:30:11  WARNING -  TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/xpcshell/tests/netwerk/test/unit/test_net_addr.js | test failed (with xpcshell return code: 0), see following log:
05:30:11  WARNING -  TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/xpcshell/tests/netwerk/test/unit/test_net_addr.js | in TestServer.onSocketAccepted - Unexpected exception [Exception... "Component returned failure code: 0x804b000c (NS_ERROR_NOT_CONNECTED) [nsISocketTransport.getScriptableSelfAddr]"  nsresult: "0x804b000c (NS_ERROR_NOT_CONNECTED)"  location: "JS frame :: /builds/slave/test/build/tests/xpcshell/tests/netwerk/test/unit/test_net_addr.js :: serv.acceptCallback :: line 145"  data: no], see following stack:
05:47:10    ERROR - Return code: 1
Comment 39 Treeherder Robot 2013-06-11 19:52:20 PDT
mccr8
https://tbpl.mozilla.org/php/getParsedLog.php?id=24036982&tree=Try
Ubuntu VM 12.04 x64 try debug test xpcshell on 2013-06-11 18:52:56
revision: b3bb655d7107
slave: tst-linux64-ec2-085

19:28:37  WARNING -  TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/xpcshell/tests/netwerk/test/unit/test_net_addr.js | test failed (with xpcshell return code: 0), see following log:
19:28:37  WARNING -  TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/xpcshell/tests/netwerk/test/unit/test_net_addr.js | in TestServer.onSocketAccepted - Unexpected exception [Exception... "Component returned failure code: 0x804b000c (NS_ERROR_NOT_CONNECTED) [nsISocketTransport.getScriptableSelfAddr]"  nsresult: "0x804b000c (NS_ERROR_NOT_CONNECTED)"  location: "JS frame :: /builds/slave/test/build/tests/xpcshell/tests/netwerk/test/unit/test_net_addr.js :: serv.acceptCallback :: line 145"  data: no], see following stack:
19:44:46    ERROR - Return code: 1
Comment 40 Treeherder Robot 2013-06-16 23:21:16 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=24220639&tree=Mozilla-Inbound
Ubuntu VM 12.04 mozilla-inbound debug test xpcshell on 2013-06-16 21:29:12
revision: 8ce5f3f4937d
slave: tst-linux32-ec2-052

21:45:13  WARNING -  TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/xpcshell/tests/netwerk/test/unit/test_net_addr.js | test failed (with xpcshell return code: 0), see following log:
21:45:13  WARNING -  TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/xpcshell/tests/netwerk/test/unit/test_net_addr.js | in TestServer.onSocketAccepted - Unexpected exception [Exception... "Component returned failure code: 0x804b000c (NS_ERROR_NOT_CONNECTED) [nsISocketTransport.getScriptableSelfAddr]"  nsresult: "0x804b000c (NS_ERROR_NOT_CONNECTED)"  location: "JS frame :: /builds/slave/test/build/tests/xpcshell/tests/netwerk/test/unit/test_net_addr.js :: testIpv4/serv.acceptCallback :: line 145"  data: no], see following stack:
22:26:38    ERROR - Return code: 1
Comment 41 Treeherder Robot 2013-06-17 06:17:58 PDT
edmorley
https://tbpl.mozilla.org/php/getParsedLog.php?id=24226175&tree=Try
Ubuntu VM 12.04 x64 try debug test xpcshell on 2013-06-17 02:12:31
revision: fcf6925e1bcf
slave: tst-linux64-ec2-050

02:47:50  WARNING -  TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/xpcshell/tests/netwerk/test/unit/test_net_addr.js | test failed (with xpcshell return code: 0), see following log:
02:47:50  WARNING -  TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/xpcshell/tests/netwerk/test/unit/test_net_addr.js | in TestServer.onSocketAccepted - Unexpected exception [Exception... "Component returned failure code: 0x804b000c (NS_ERROR_NOT_CONNECTED) [nsISocketTransport.getScriptableSelfAddr]"  nsresult: "0x804b000c (NS_ERROR_NOT_CONNECTED)"  location: "JS frame :: /builds/slave/test/build/tests/xpcshell/tests/netwerk/test/unit/test_net_addr.js :: serv.acceptCallback :: line 145"  data: no], see following stack:
03:03:37    ERROR - Return code: 1
Comment 42 Treeherder Robot 2013-06-22 18:30:56 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=24479742&tree=Mozilla-Inbound
Ubuntu VM 12.04 mozilla-inbound pgo test xpcshell on 2013-06-22 17:40:39
revision: f22c958c6187
slave: tst-linux32-ec2-006

17:50:26  WARNING -  TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/xpcshell/tests/netwerk/test/unit/test_net_addr.js | test failed (with xpcshell return code: 0), see following log:
17:50:26  WARNING -  TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/xpcshell/tests/netwerk/test/unit/test_net_addr.js | in TestServer.onSocketAccepted - Unexpected exception [Exception... "Component returned failure code: 0x804b000c (NS_ERROR_NOT_CONNECTED) [nsISocketTransport.getScriptableSelfAddr]"  nsresult: "0x804b000c (NS_ERROR_NOT_CONNECTED)"  location: "JS frame :: /builds/slave/test/build/tests/xpcshell/tests/netwerk/test/unit/test_net_addr.js :: testIpv4/serv.acceptCallback :: line 145"  data: no], see following stack:
18:16:55    ERROR - Return code: 1
Comment 43 Treeherder Robot 2013-07-03 05:50:18 PDT
RyanVM
https://tbpl.mozilla.org/php/getParsedLog.php?id=24852110&tree=Fx-Team
Ubuntu VM 12.04 fx-team debug test xpcshell on 2013-07-02 14:24:02
revision: 7469440b076b
slave: tst-linux32-ec2-003

14:48:51  WARNING -  TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/xpcshell/tests/netwerk/test/unit/test_net_addr.js | test failed (with xpcshell return code: 0), see following log:
14:48:51  WARNING -  TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/xpcshell/tests/netwerk/test/unit/test_net_addr.js | in TestServer.onSocketAccepted - Unexpected exception [Exception... "Component returned failure code: 0x804b000c (NS_ERROR_NOT_CONNECTED) [nsISocketTransport.getScriptableSelfAddr]"  nsresult: "0x804b000c (NS_ERROR_NOT_CONNECTED)"  location: "JS frame :: /builds/slave/test/build/tests/xpcshell/tests/netwerk/test/unit/test_net_addr.js :: testIpv4/serv.acceptCallback :: line 145"  data: no], see following stack:
15:35:13    ERROR - Return code: 1
Comment 44 Treeherder Robot 2013-07-04 23:22:19 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=24961028&tree=Mozilla-Inbound
Ubuntu VM 12.04 x64 mozilla-inbound debug test xpcshell on 2013-07-04 20:13:59
revision: 7bd9f22c91e9
slave: tst-linux64-ec2-041

20:30:47  WARNING -  TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/xpcshell/tests/netwerk/test/unit/test_net_addr.js | test failed (with xpcshell return code: 0), see following log:
20:30:48  WARNING -  TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/xpcshell/tests/netwerk/test/unit/test_net_addr.js | in TestServer.onSocketAccepted - Unexpected exception [Exception... "Component returned failure code: 0x804b000c (NS_ERROR_NOT_CONNECTED) [nsISocketTransport.getScriptableSelfAddr]"  nsresult: "0x804b000c (NS_ERROR_NOT_CONNECTED)"  location: "JS frame :: /builds/slave/test/build/tests/xpcshell/tests/netwerk/test/unit/test_net_addr.js :: testIpv4/serv.acceptCallback :: line 145"  data: no], see following stack:
21:12:07    ERROR - Return code: 1
Comment 45 Treeherder Robot 2013-07-21 23:46:30 PDT
Tomcat
https://tbpl.mozilla.org/php/getParsedLog.php?id=25549137&tree=Mozilla-Inbound
Ubuntu VM 12.04 x64 mozilla-inbound debug test xpcshell on 2013-07-21 17:07:35
revision: 6bcfc7a6eff0
slave: tst-linux64-ec2-102

17:22:45  WARNING -  TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/xpcshell/tests/netwerk/test/unit/test_net_addr.js | test failed (with xpcshell return code: 0), see following log:
17:22:45  WARNING -  TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/xpcshell/tests/netwerk/test/unit/test_net_addr.js | in TestServer.onSocketAccepted - Unexpected exception [Exception... "Component returned failure code: 0x804b000c (NS_ERROR_NOT_CONNECTED) [nsISocketTransport.getScriptableSelfAddr]"  nsresult: "0x804b000c (NS_ERROR_NOT_CONNECTED)"  location: "JS frame :: /builds/slave/test/build/tests/xpcshell/tests/netwerk/test/unit/test_net_addr.js :: testIpv4/serv.acceptCallback :: line 145"  data: no], see following stack:
18:03:40    ERROR - Return code: 256
Comment 46 Serge Gautherie (:sgautherie) 2013-07-23 08:52:59 PDT
Ftr,
Comment 32 to comment 45 are all on "Linux".
This seems a "rare" intermittent-failure there : no permanent orange on TB (or SM).
Comment 47 Treeherder Robot 2013-07-24 07:18:24 PDT
RyanVM
https://tbpl.mozilla.org/php/getParsedLog.php?id=25662662&tree=Birch
Ubuntu VM 12.04 x64 birch pgo test xpcshell on 2013-07-24 06:12:42
revision: ccca2a19fe7b
slave: tst-linux64-ec2-068

06:22:52  WARNING -  TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/xpcshell/tests/netwerk/test/unit/test_net_addr.js | test failed (with xpcshell return code: 0), see following log:
06:22:52  WARNING -  TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/xpcshell/tests/netwerk/test/unit/test_net_addr.js | in TestServer.onSocketAccepted - Unexpected exception [Exception... "Component returned failure code: 0x804b000c (NS_ERROR_NOT_CONNECTED) [nsISocketTransport.getScriptableSelfAddr]"  nsresult: "0x804b000c (NS_ERROR_NOT_CONNECTED)"  location: "JS frame :: /builds/slave/test/build/tests/xpcshell/tests/netwerk/test/unit/test_net_addr.js :: testIpv4/serv.acceptCallback :: line 145"  data: no], see following stack:
06:47:53    ERROR - Return code: 256
Comment 48 Treeherder Robot 2013-07-29 18:16:14 PDT
RyanVM
https://tbpl.mozilla.org/php/getParsedLog.php?id=25882132&tree=Mozilla-Aurora
Ubuntu VM 12.04 mozilla-aurora pgo test xpcshell on 2013-07-29 15:37:28
revision: e8fb915d466a
slave: tst-linux32-ec2-061

15:47:43  WARNING -  TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/xpcshell/tests/netwerk/test/unit/test_net_addr.js | test failed (with xpcshell return code: 0), see following log:
15:47:43  WARNING -  TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/xpcshell/tests/netwerk/test/unit/test_net_addr.js | in TestServer.onSocketAccepted - Unexpected exception [Exception... "Component returned failure code: 0x804b000c (NS_ERROR_NOT_CONNECTED) [nsISocketTransport.getScriptableSelfAddr]"  nsresult: "0x804b000c (NS_ERROR_NOT_CONNECTED)"  location: "JS frame :: /builds/slave/test/build/tests/xpcshell/tests/netwerk/test/unit/test_net_addr.js :: testIpv4/serv.acceptCallback :: line 145"  data: no], see following stack:
16:14:15    ERROR - Return code: 256
Comment 49 Treeherder Robot 2013-08-01 19:34:47 PDT
RyanVM
https://tbpl.mozilla.org/php/getParsedLog.php?id=26048992&tree=Mozilla-Inbound
Ubuntu VM 12.04 mozilla-inbound opt test xpcshell on 2013-08-01 18:19:21
revision: 69c38726a5ad
slave: tst-linux32-ec2-032

TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/xpcshell/tests/netwerk/test/unit/test_net_addr.js | test failed (with xpcshell return code: 0), see following log:
TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/xpcshell/tests/netwerk/test/unit/test_net_addr.js | in TestServer.onSocketAccepted - Unexpected exception [Exception... "Component returned failure code: 0x804b000c (NS_ERROR_NOT_CONNECTED) [nsISocketTransport.getScriptableSelfAddr]"  nsresult: "0x804b000c (NS_ERROR_NOT_CONNECTED)"  location: "JS frame :: /builds/slave/test/build/tests/xpcshell/tests/netwerk/test/unit/test_net_addr.js :: testIpv4/serv.acceptCallback :: line 145"  data: no], see following stack:
Return code: 256
Comment 50 Treeherder Robot 2013-08-14 09:11:39 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=26542497&tree=Fx-Team
Ubuntu VM 12.04 x64 fx-team debug test xpcshell on 2013-08-14 07:58:29
revision: 4930fdea3efa
slave: tst-linux64-ec2-064

TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/xpcshell/tests/netwerk/test/unit/test_net_addr.js | test failed (with xpcshell return code: 0), see following log:
TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/xpcshell/tests/netwerk/test/unit/test_net_addr.js | in TestServer.onSocketAccepted - Unexpected exception [Exception... "Component returned failure code: 0x804b000c (NS_ERROR_NOT_CONNECTED) [nsISocketTransport.getScriptableSelfAddr]"  nsresult: "0x804b000c (NS_ERROR_NOT_CONNECTED)"  location: "JS frame :: /builds/slave/test/build/tests/xpcshell/tests/netwerk/test/unit/test_net_addr.js :: testIpv4/serv.acceptCallback :: line 145"  data: no], see following stack:
Return code: 256
Comment 51 Treeherder Robot 2013-08-14 16:59:36 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=26561386&tree=Mozilla-Inbound
Ubuntu VM 12.04 x64 mozilla-inbound debug test xpcshell on 2013-08-14 15:51:30
revision: 07fdbc86f5b1
slave: tst-linux64-ec2-026

TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/xpcshell/tests/netwerk/test/unit/test_net_addr.js | test failed (with xpcshell return code: 0), see following log:
TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/xpcshell/tests/netwerk/test/unit/test_net_addr.js | in TestServer.onSocketAccepted - Unexpected exception NS_ERROR_NOT_CONNECTED: Component returned failure code: 0x804b000c (NS_ERROR_NOT_CONNECTED) [nsISocketTransport.getScriptableSelfAddr]
Return code: 256
Comment 52 Treeherder Robot 2013-08-14 16:59:39 PDT
KWierso
https://tbpl.mozilla.org/php/getParsedLog.php?id=26561386&tree=Mozilla-Inbound
Ubuntu VM 12.04 x64 mozilla-inbound debug test xpcshell on 2013-08-14 15:51:30
revision: 07fdbc86f5b1
slave: tst-linux64-ec2-026

TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/xpcshell/tests/netwerk/test/unit/test_net_addr.js | test failed (with xpcshell return code: 0), see following log:
TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/xpcshell/tests/netwerk/test/unit/test_net_addr.js | in TestServer.onSocketAccepted - Unexpected exception NS_ERROR_NOT_CONNECTED: Component returned failure code: 0x804b000c (NS_ERROR_NOT_CONNECTED) [nsISocketTransport.getScriptableSelfAddr]
Return code: 256
Comment 53 Treeherder Robot 2013-08-15 02:11:55 PDT
:jonco
https://tbpl.mozilla.org/php/getParsedLog.php?id=26549823&tree=Try
Ubuntu VM 12.04 try opt test xpcshell on 2013-08-14 11:08:28
revision: 7cd16ff70711
slave: tst-linux32-ec2-125

TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/xpcshell/tests/netwerk/test/unit/test_net_addr.js | test failed (with xpcshell return code: 0), see following log:
TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/xpcshell/tests/netwerk/test/unit/test_net_addr.js | in TestServer.onSocketAccepted - Unexpected exception [Exception... "Component returned failure code: 0x804b000c (NS_ERROR_NOT_CONNECTED) [nsISocketTransport.getScriptableSelfAddr]"  nsresult: "0x804b000c (NS_ERROR_NOT_CONNECTED)"  location: "JS frame :: /builds/slave/test/build/tests/xpcshell/tests/netwerk/test/unit/test_net_addr.js :: testIpv4/serv.acceptCallback :: line 145"  data: no], see following stack:
Return code: 256
Comment 54 Treeherder Robot 2013-08-17 10:12:28 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=26685295&tree=Mozilla-Central
Ubuntu VM 12.04 x64 mozilla-central pgo test xpcshell on 2013-08-17 08:52:13
revision: 703b6a6e627b
slave: tst-linux64-ec2-114

TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/xpcshell/tests/netwerk/test/unit/test_net_addr.js | test failed (with xpcshell return code: 0), see following log:
TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/xpcshell/tests/netwerk/test/unit/test_net_addr.js | in TestServer.onSocketAccepted - Unexpected exception NS_ERROR_NOT_CONNECTED: Component returned failure code: 0x804b000c (NS_ERROR_NOT_CONNECTED) [nsISocketTransport.getScriptableSelfAddr]
Return code: 256
Comment 55 Treeherder Robot 2013-08-21 16:28:41 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=26838142&tree=Mozilla-Inbound
Ubuntu VM 12.04 x64 mozilla-inbound debug test xpcshell on 2013-08-21 14:26:26
revision: 58d1b62f613c
slave: tst-linux64-ec2-146

TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/xpcshell/tests/netwerk/test/unit/test_net_addr.js | test failed (with xpcshell return code: 0), see following log:
TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/xpcshell/tests/netwerk/test/unit/test_net_addr.js | in TestServer.onSocketAccepted - Unexpected exception NS_ERROR_NOT_CONNECTED: Component returned failure code: 0x804b000c (NS_ERROR_NOT_CONNECTED) [nsISocketTransport.getScriptableSelfAddr]
Return code: 256
Comment 56 Treeherder Robot 2013-08-23 08:24:56 PDT
RyanVM
https://tbpl.mozilla.org/php/getParsedLog.php?id=26924275&tree=B2g-Inbound
Ubuntu VM 12.04 x64 b2g-inbound opt test xpcshell on 2013-08-23 07:40:40
revision: d76f573adbcb
slave: tst-linux64-ec2-115

TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/xpcshell/tests/netwerk/test/unit/test_net_addr.js | test failed (with xpcshell return code: 0), see following log:
TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/xpcshell/tests/netwerk/test/unit/test_net_addr.js | in TestServer.onSocketAccepted - Unexpected exception NS_ERROR_NOT_CONNECTED: Component returned failure code: 0x804b000c (NS_ERROR_NOT_CONNECTED) [nsISocketTransport.getScriptableSelfAddr]
TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/places/tests/unit/test_bookmarks_html_corrupt.js | test failed (with xpcshell return code: 0), see following log:
TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/places/tests/unit/test_bookmarks_html_corrupt.js | null != null - see following stack:
Return code: 256
Comment 57 Treeherder Robot 2013-08-26 13:18:21 PDT
MattN
https://tbpl.mozilla.org/php/getParsedLog.php?id=27015481&tree=UX
Ubuntu VM 12.04 x64 ux opt test xpcshell on 2013-08-26 11:19:53
revision: 101e4d07c4b1
slave: tst-linux64-ec2-062

TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/xpcshell/tests/netwerk/test/unit/test_net_addr.js | test failed (with xpcshell return code: 0), see following log:
TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/xpcshell/tests/netwerk/test/unit/test_net_addr.js | in TestServer.onSocketAccepted - Unexpected exception NS_ERROR_NOT_CONNECTED: Component returned failure code: 0x804b000c (NS_ERROR_NOT_CONNECTED) [nsISocketTransport.getScriptableSelfAddr]
Return code: 256
Comment 58 Treeherder Robot 2013-08-26 13:18:27 PDT
Gijs
https://tbpl.mozilla.org/php/getParsedLog.php?id=27015481&tree=UX
Ubuntu VM 12.04 x64 ux opt test xpcshell on 2013-08-26 11:19:53
revision: 101e4d07c4b1
slave: tst-linux64-ec2-062

TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/xpcshell/tests/netwerk/test/unit/test_net_addr.js | test failed (with xpcshell return code: 0), see following log:
TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/xpcshell/tests/netwerk/test/unit/test_net_addr.js | in TestServer.onSocketAccepted - Unexpected exception NS_ERROR_NOT_CONNECTED: Component returned failure code: 0x804b000c (NS_ERROR_NOT_CONNECTED) [nsISocketTransport.getScriptableSelfAddr]
Return code: 256
Comment 59 OrangeFactor Robot 2016-04-24 18:02:45 PDT
12 automation job failures were associated with this bug in the last 7 days.

Repository breakdown:
* mozilla-inbound: 8
* fx-team: 3
* mozilla-central: 1

Platform breakdown:
* android-4-3-armv7-api15: 11
* linux32: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=732363&startday=2016-04-18&endday=2016-04-24&tree=all

Note You need to log in before you can comment on or make changes to this bug.